$(document).ready(function() {
    $("#file").change(function() {
        var input_upload = $('#file').val().replace(/C:\\fakepath\\/i, '');
        var clean = input_upload.replace(/.mp3/i, '');
        $("#file_name").val(clean);
    });
});